MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031295Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-01-13 11:502020-01-18 15:36
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031295: Foundation Classes, BVH_Tools - incorrect detection of ray-box intersection
DescriptionIncorrect check of existing intersection in RayBoxIntersection() method that computes hit time of ray-box intersection in BVH_Tools
Steps To ReproduceNot required
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0031186verifiedbugmaster Foundation Classes - add additional useful methods to BVH_Box 

-  Notes
(0089867)
git (administrator)
2020-01-13 12:18

Branch CR31295 has been created by osa.

SHA-1: 375f76da985bfddd282b2b5e934bfcef5687039e


Detailed log of new commits:

Author: osa
Date: Mon Jan 13 12:14:59 2020 +0300

    0031295: Foundation Classes, BVH_Tools - incorrect detection of ray-box intersection
(0089945)
git (administrator)
2020-01-18 15:36

Branch CR31295 has been deleted by inv.

SHA-1: 375f76da985bfddd282b2b5e934bfcef5687039e

- Related Changesets
occt: master 9df71488
Timestamp: 2020-01-13 09:14:59
Author: osa
Committer: bugmaster
Details ] Diff ]
0031295: Foundation Classes, BVH_Tools - incorrect detection of ray-box intersection
mod - src/BVH/BVH_Tools.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-13 11:50 osa New Issue
2020-01-13 11:50 osa Assigned To => abv
2020-01-13 11:50 osa Relationship added related to 0031186
2020-01-13 11:50 osa Assigned To abv => osa
2020-01-13 11:50 osa Status new => assigned
2020-01-13 11:53 kgv Product Version => 7.5.0
2020-01-13 11:53 kgv Summary Foundation Classes - incorrect detection of ray-box intersection => Foundation Classes, BVH_Tools - incorrect detection of ray-box intersection
2020-01-13 12:18 git Note Added: 0089867
2020-01-13 14:55 osa Assigned To osa => kgv
2020-01-13 14:55 osa Status assigned => resolved
2020-01-13 14:55 osa Steps to Reproduce Updated View Revisions
2020-01-13 14:59 kgv Assigned To kgv => bugmaster
2020-01-13 14:59 kgv Status resolved => reviewed
2020-01-14 18:24 bugmaster Status reviewed => tested
2020-01-18 12:27 bugmaster Changeset attached => occt master 9df71488
2020-01-18 12:27 bugmaster Status tested => verified
2020-01-18 12:27 bugmaster Resolution open => fixed
2020-01-18 15:36 git Note Added: 0089945


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker